﻿(function($) {
    $.twitterGraph = function(twitterName, element) {
        var usageData = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
        $.getJSON(
                'http://search.twitter.com/search.json?callback=?&rpp=50&q=from:' + twitterName,
                function(data) {
                    $.each(data, function(i, tweets) {
                        if (tweets.length != undefined)
                            if (tweets[0].created_at != undefined)
                            for (i = 0; i < tweets.length; i++) {
                            var usageHour = (new Date(tweets[i].created_at)).getHours();
                            usageData[usageHour] += 2;
                        };
                    })

                    element.sparkline(usageData,
                        {
                            type: 'bar',
                            barColor: '#4D4D4D',
                            height: 25
                        });

                    $('<span>' + twitterName + ': tweets per hour</span>').insertAfter(element.find("canvas"));
                }
            );
    };
})(jQuery);